<?php
/** 
 * Default administration settings for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */

// install main admin settings option record
$wpecus_adm_set = array();
// interface
$wpecus_adm_set['interface']['forms']['dialog']['status'] = 'hide';
// encoding
$wpecus_adm_set['encoding']['type'] = 'utf8';
// admin user interface settings start
$wpecus_adm_set['ui_advancedinfo'] = false;// hide advanced user interface information by default
$wpecus_adm_set['ui_helpdialog_width'] = 800;
$wpecus_adm_set['ui_helpdialog_height'] = 500;
// log
$wpecus_adm_set['reporting']['uselog'] = 1;
$wpecus_adm_set['reporting']['loglimit'] = 1000;
// other
$wpecus_adm_set['ecq'] = array();
$wpecus_adm_set['chmod'] = '0750';

###############################################################
#                         LOG SEARCH                          #
###############################################################
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['outcome'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['timestamp'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['line'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['function'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['page'] = true; 
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['panelname'] = true;   
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['userid'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['type'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['category'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['action'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['priority'] = true;
$wpecus_adm_set['log']['logscreen']['displayedcolumns']['comment'] = true; 
?>