<?php
/** 
 * Reputation section of WP e-Customers plugin by WebTechGlobal.co.uk
 *
 * Core functions for the reputation section of the plugin. If a function does not
 * apply to the other reputation function files then put it in here.
 *
 * @package WP e-Customers
 */

/**
* Main reputation section class
* 
* @package WP e-Customers
* @since 0.0.1
* @version 0.0.1 
*/
class WPeCus_rep_core extends WPeCus_questions_core  {
    
    
        
}

/**
* Issues an activity point to user or can be used to issue specific amount
*
* Gets current wpecus_activityscore and increases by 1 or initializes with a score of 1
*
* @package WP e-Customers
* @since 0.0.1
*/
function wpecus_activity_point($user_ID,$reason,$line,$function,$specified = 1){
    $s = get_user_meta($user_ID,'wpecus_activityscore',true);
    
    if(!$s || !is_numeric($s) || is_array($s)){$s = $specified;}else{++$s;}
    
    update_user_meta($user_ID,'wpecus_activityscore',$s);
} 
?>