<?php
/** 
 * Users section of WP e-Customers plugin by WebTechGlobal.co.uk
 *
 * Integration related functions. This includes integration with other WebTechGlobal plugins,
 * 3rd party plugins but also other sections of this plugin. The design will appear to be almost
 * pluggable and it will be partly for the future. However initially we will not focus or spend
 * too much time creating a plugin that adapts with or without each section.
 *
 * @package WP e-Customers
 */
 
 
/**
* Users section to phpBB. Expect functions that transfer user data from Wordpress to phpBB only.
* 
* Why not put these functions in the forum bridges class? 
* A1. Forum bridges includes an interface to the phpBB API for everything but users
* A2. Integration with phpBB does not always mean user integration
* A3. Developers may only want minimum integration and this approach makes each sections files lighter 
*/
class WPeCus_users_to_phpBB {

}                   
?>