<?php
/** 
 * Hooks related to users section in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
add_action('wp_login', 'wpecus_users_login_action_activitypoints', 10, 2); 
function wpecus_users_login_action_activitypoints($user_login, $user) {
    wpecus_activity_point($user->ID,'You logged into WebTechGlobal today.',__LINE__,__FUNCTION__);
    $time = get_user_meta($user->ID,'wpecus_24hour');
    if(!$time || !is_numeric($time)){
        update_user_meta($user->ID,'wpecus_24hour',time()); 
        return;       
    }
    
    $twentyfour_forward = time() + 86400;
    
    if(time() > $twentyfour_forward){
        wpecus_activity_point($user->ID,'You logged into WebTechGlobal today.',__LINE__,__FUNCTION__);
    }
}               
?>
