<?php
/** 
 * Web section of WP e-Customers plugin by WebTechGlobal.co.uk
 *
 * @package WP e-Customers
 */
 
class WPeCus_web_POSTGET_processing {
    
} 

wpecus_web_action_bandomainsbyregistration();  

function wpecus_web_action_bandomainsbyregistration() {     
    if(isset($_POST['wpecus_hidden_panel_name']) && $_POST['wpecus_hidden_panel_name'] == 'bandomainsbyregistration'){
        global $wpdb;     
        
            if(empty($_POST['wpecus_domains'])){
                wpecus_notice_postresult('error','No Domains','One or more domains separated by commas is required.');
                return false;
            }
            
            if(!strstr($_POST['wpecus_domains'],'.')){
                wpecus_notice_postresult('error','Invalid Domain','A top level domain name is required i.e. ".com" or ".co.uk".');
                return false;                
            }
            
            if(strstr($_POST['wpecus_domains'],',')){
                $domains_array = explode(',',$_POST['wpecus_domains']);
                foreach($domains_array as $domain){
                    $valid_domain = wpecus_is_valid_domain_name($domain);
                    if(!$valid_domain){
                        wpecus_notice_postresult('error','Invalid Value Found','The value '.$domain.' is not a domain, please try again.');
                        return false;
                    }                    
                }
            }else{
                $valid_domain = wpecus_is_valid_domain_name($_POST['wpecus_domains']);
                if(!$valid_domain){
                    wpecus_notice_postresult('error','Domain Not Valid','You submitted '.$_POST['wpecus_domains'].' which is not a valid domain, please try again.');
                    return false;
                }
            }        
                               
            WPeCustomers::add_banned_domains($_POST['wpecus_domains']);   

            wpecus_notice_postresult('success','Banned Domains Saved','Email address belonging to the domains you submitted are no longer permitted.');
            
        return false;
    }else{
        return true;
    }  
}
?>