<?php
/** 
 * Tab view for downloads tools screen in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
?>
 
<div class="wpecus_fluidboxes_container">
   
    <div class="wpecus_fluidboxes_left">
    
        <h4>Grant Free Download Permission</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
          
                <p class="about-description">Authorize user to download a free package.</p>
                <br>
                                                                           
                <form method="post" name="wpecus_grantpermission_free" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                
                    <input type="hidden" name="wpecus_post_processing_required" value="true">
                    <?php wpecus_hidden_form_values(1,$page_name,'grantdownloadpermission','Grant Free Download Permission');?>
                    <input type="hidden" name="wpecus_costtype" value="free">
                    
                    <label for="wpcus_userid_grantpermission_free" >User ID: <input type="text" name="wpecus_userid" value="" id="wpcus_userid_grantpermission_free" size="12"/></label>
                    <br>
                    <label for="wpcus_downloadid_grantpermission_free" >Download ID: <input type="text" name="wpecus_downloadid" value="" id="wpcus_downloadid_grantpermission_free" size="8"/></label>
                    
                    <br><br>               
                    <input class="button" type="submit" value="Submit" />
     
                </form>  
                                                                            
            </div>
        </div> 
        
    </div>    

    <div class="wpecus_fluidboxes_left">
    
        <h4>Grant Paid Download Permission</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
          
                <p class="about-description">Authorize a user to download a premium package.</p>
                <br>
                                                                           
                <form method="post" name="wpecus_grantpermission_paid" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                
                    <input type="hidden" name="wpecus_post_processing_required" value="true">
                    <?php wpecus_hidden_form_values(1,$page_name,'grantdownloadpermission','Grant Paid Download Permission');?>
                    <input type="hidden" name="wpecus_costtype" value="paid">
                    
                    <label for="wpcus_userid_grantpermission_paid" >User ID: <input type="text" name="wpecus_userid" value="" id="wpcus_userid_grantpermission_paid" size="12"/></label>
                    <br>
                    <label for="wpcus_downloadid_grantpermission_paid" >Download ID: <input type="text" name="wpecus_downloadid" value="" id="wpcus_downloadid_grantpermission_paid" size="8"/></label>
                    
                    <br><br>               
                    <input class="button" type="submit" value="Submit" />
     
                </form>  
                                                                            
            </div>
        </div> 
        
    </div>
                     
    <div class="wpecus_fluidboxes_left">
    
        <h4>Remove Free Download Permission</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
          
                <p class="about-description">Remove users permission to download a free package.</p>
                <br>
                
                <form method="post" name="wpecus_removepermission_free" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                
                    <input type="hidden" name="wpecus_post_processing_required" value="true">
                    <?php wpecus_hidden_form_values(1,$page_name,'removedownloadpermission','Remove Free Download Permission');?>
                    <input type="hidden" name="wpecus_costtype" value="free">
                    
                    <label for="wpcus_userid_removepermission_free" >User ID: <input type="text" name="wpecus_userid" value="" id="wpcus_userid_removepermission_free" size="12"/></label>
                    <br>
                    <label for="wpcus_downloadid_removepermission_free" >Download ID: <input type="text" name="wpecus_downloadid" value="" id="wpcus_downloadid_removepermission_free" size="8"/></label>
                         
                    <br><br>
                    <input class="button" type="submit" value="Submit" />
     
                </form> 
                                                                              
            </div>
        </div> 
        
    </div>
    
    <div class="wpecus_fluidboxes_left">
    
        <h4>Remove Paid Download Permission</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
          
                <p class="about-description">Remove users permission to download a premium package.</p>
                <br>
                <form method="post" name="wpecus_removepermission_paid" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                
                    <input type="hidden" name="wpecus_post_processing_required" value="true">
                    <?php wpecus_hidden_form_values(1,$page_name,'removedownloadpermission','Remove Paid Download Permission');?>
                    <input type="hidden" name="wpecus_costtype" value="paid">
                    
                    <label for="wpcus_userid_removepermission_paid" >User ID: <input type="text" name="wpecus_userid" value="" id="wpcus_userid_removepermission_paid" size="12"/></label>
                    <br>
                    <label for="wpcus_downloadid_removepermission_paid" >Download ID: <input type="text" name="wpecus_downloadid" value="" id="wpcus_downloadid_removepermission_paid" size="8"/></label>
                         
                    <br><br>
                    <input class="button" type="submit" value="Submit" />
     
                </form> 
                                                                              
            </div>
        </div> 
        
    </div>     
      
</div>