<?php
/** 
 * Main view file for downloads section in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */

$page_name = 'downloads';
 
// wordpress objects
global $wpdb;
  
// plugin boolean, strings and integer
global $wpecus_is_dev,$wpecus_is_free;

// plugin arrays
global $wpecus_mpt_arr,$wpecus_options_array;

// set the screen/tab variable which is used in construction of links 
$wpecus_tab = '';
if(isset($_GET['wpecustab'])){$wpecus_tab = '&wpecustab=' . $_GET['wpecustab'];}

// view header - includes notices output and some admin side automation such as conflict prevention
wpecus_header_page($wpecus_mpt_arr['menu'][$page_name]['title'],0);
                                       
// create tab menu for the giving page
wpecus_createmenu($page_name);

// count number of panels, variable used as in code ID to pass to functions, not the TAB number users can see in url
$panel_number = 0;

// set tab number variable, a common use is in form hidden values
$wpecus_tab_number = wpecus_get_tabnumber();

// display persistent notices for the current screen
wpecus_persistentnotice_output('screen',$wpecus_tab_number,$page_name);  

if(isset($_GET['wpecustab'])){
    $wpecustab = $_GET['wpecustab'];
}else{
    $wpecustab = 0;
}

$wpecus_form_action = get_admin_url() . 'admin.php?page=' . $_GET['page'] . '&wpecustab='.$wpecustab;
          
// create screen content 
if( wpecus_menu_should_tab_be_displayed($page_name,$wpecustab) ){
    include($wpecus_mpt_arr['menu'][$page_name]['tabs'][$wpecus_tab_number]['path']);
}else{
    wpecus_include_default_screen($page_name);
}

wpecus_footer();
?>