<?php
/** 
 * Tab view for web tools in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
?>
     
<div class="wpecus_twocolumns_container">

    <div class="wpecus_twocolumns_right">
    
        <h4>Information</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
          
                <p class="about-description">I'm thinking information about recent changes by admin could be really
                cool here and done in a widget sort of approach. Multiple administrators working on the same blog would see various changes going on that
                they never actioned. We could hide and display information based on recent events plus users personal settings.</p>
                
                                                                              
            </div>
        </div> 

        <h4>Recently Banned Email Domains</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
          
                <p class="about-description">Last 10 domains banned from being used in registration...</p>
                <?php   
                $banned_domains = WPeCustomers::get_banned_domains();
                if(!$banned_domains){
                    echo '<p>No domains are banned.</p>';    
                }else{
                    $banned_domains = explode(',',$banned_domains);
                    echo '<ol>';
                    foreach($banned_domains as $key => $domain){
                        echo '<li>' . $domain . '</li>';    
                    }
                    echo '</ol>';
                } 
                ?>
                                                                              
            </div>
        </div> 
                
    </div>
    
    <div class="wpecus_twocolumns_left">
        <div class="wpecus_fluidboxes_container">
        
            <div class="wpecus_fluidboxes_left_wide">
                <h4>Ban Domains By Registration</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Submit a single domain or comma separated string.</p>
                                               
                        <form method="post" name="wpecus_bandomain_byregistration" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                        
                            <input type="hidden" name="wpecus_post_processing_required" value="true">
                            <?php wpecus_hidden_form_values(1,$page_name,'bandomainsbyregistration','Ban Domains By Registrations');?>
                            
                            <input type="text" name="wpecus_domains" value="" size="60"/>
                                           
                            <input class="button" type="submit" value="Submit" />
             
                        </form>                                                                                       
                                                                                    
                    </div>
                </div>                 
                
                <!--
                <h4>Tool Title</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Tool description here.</p>
                                                                                                                                  
                                                                                    
                    </div>
                </div> 
                -->
            </div>

            <!--
            <div class="wpecus_fluidboxes_left">
                <h4>Tool Title</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Tool description here.</p>
                                                                                     
                                                                                    
                    </div>
                </div> 
            </div>
            
            <div class="wpecus_fluidboxes_left">
                <h4>Tool Title</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Tool description here.</p>
                                                                                     
                                                                                    
                    </div>
                </div> 
            </div>
            
            <div class="wpecus_fluidboxes_left">
                <h4>Tool Title</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Tool description here.</p>
                                                                                     
                                                                                    
                    </div>
                </div> 
            </div>
            
            <div class="wpecus_fluidboxes_left">
                <h4>Tool Title</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Tool description here.</p>
                                                                                     
                                                                                    
                    </div>
                </div> 
            </div>
            
            <div class="wpecus_fluidboxes_left">
                <h4>Tool Title</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Tool description here.</p>
                                                                                     
                                                                                    
                    </div>
                </div> 
            </div>
            
            <div class="wpecus_fluidboxes_left">
                <h4>Tool Title</h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Tool description here.</p>
                                                                                     
                                                                                    
                    </div>
                </div> 
            </div>
            -->
                           
        </div>
    </div>
</div>                        