<?php
/** 
 * Default schedule array for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */

 
$wpecus_schedule_array = array();
// history
$wpecus_schedule_array['history']['lastreturnreason'] = 'None';
$wpecus_schedule_array['history']['lasteventtime'] = time();
$wpecus_schedule_array['history']['lasteventtype'] = 'None';
$wpecus_schedule_array['history']['day_lastreset'] = time();
$wpecus_schedule_array['history']['hour_lastreset'] = time();
$wpecus_schedule_array['history']['hourcounter'] = 1;
$wpecus_schedule_array['history']['daycounter'] = 1;
$wpecus_schedule_array['history']['lasteventaction'] = 'None';
// times/days
$wpecus_schedule_array['days']['monday'] = true;
$wpecus_schedule_array['days']['tuesday'] = true;
$wpecus_schedule_array['days']['wednesday'] = true;
$wpecus_schedule_array['days']['thursday'] = true;
$wpecus_schedule_array['days']['friday'] = true;
$wpecus_schedule_array['days']['saturday'] = true;
$wpecus_schedule_array['days']['sunday'] = true;
// times/hours
$wpecus_schedule_array['hours'][0] = true;
$wpecus_schedule_array['hours'][1] = true;
$wpecus_schedule_array['hours'][2] = true;
$wpecus_schedule_array['hours'][3] = true;
$wpecus_schedule_array['hours'][4] = true;
$wpecus_schedule_array['hours'][5] = true;
$wpecus_schedule_array['hours'][6] = true;
$wpecus_schedule_array['hours'][7] = true;
$wpecus_schedule_array['hours'][8] = true;
$wpecus_schedule_array['hours'][9] = true;
$wpecus_schedule_array['hours'][10] = true;
$wpecus_schedule_array['hours'][11] = true;
$wpecus_schedule_array['hours'][12] = true;
$wpecus_schedule_array['hours'][13] = true;
$wpecus_schedule_array['hours'][14] = true;
$wpecus_schedule_array['hours'][15] = true;
$wpecus_schedule_array['hours'][16] = true;
$wpecus_schedule_array['hours'][17] = true;
$wpecus_schedule_array['hours'][18] = true;
$wpecus_schedule_array['hours'][19] = true;
$wpecus_schedule_array['hours'][20] = true;
$wpecus_schedule_array['hours'][21] = true;
$wpecus_schedule_array['hours'][22] = true;
$wpecus_schedule_array['hours'][23] = true;
// limits
$wpecus_schedule_array['limits']['hour'] = '1000';
$wpecus_schedule_array['limits']['day'] = '5000';
$wpecus_schedule_array['limits']['session'] = '300';
// event types (update wpecus_event_action() if adding more eventtypes)
$wpecus_schedule_array['eventtypes']['postcreation']['name'] = 'Post Creation'; 
$wpecus_schedule_array['eventtypes']['postcreation']['switch'] = 0;
$wpecus_schedule_array['eventtypes']['postupdate']['name'] = 'Post Update'; 
$wpecus_schedule_array['eventtypes']['postupdate']['switch'] = 1;
$wpecus_schedule_array['eventtypes']['dataimport']['name'] = 'Data Import';  
$wpecus_schedule_array['eventtypes']['dataimport']['switch'] = 0;
$wpecus_schedule_array['eventtypes']['dataupdate']['name'] = 'Data Update'; 
$wpecus_schedule_array['eventtypes']['dataupdate']['switch'] = 0;
$wpecus_schedule_array['eventtypes']['twittersend']['name'] = 'Twitter Send'; 
$wpecus_schedule_array['eventtypes']['twittersend']['switch'] = 0;
$wpecus_schedule_array['eventtypes']['twitterupdate']['name'] = 'Twitter Update'; 
$wpecus_schedule_array['eventtypes']['twitterupdate']['switch'] = 0;
$wpecus_schedule_array['eventtypes']['twitterget']['name'] = 'Twitter Get'; 
$wpecus_schedule_array['eventtypes']['twitterget']['switch'] = 0;   
?>