<?php
// $side is already set as required parameter
if($side == 'admin' || $wpecus_css_side_override == true){

    function wpecus_register_admin_styles() {

        // WebTechGlobal styles
        wp_register_style('wpecus_css_notification',plugins_url(WTG_WPECUS_FOLDERNAME . '/wtg-core/wp/css/notifications.css'), array(), '1.0.0', 'screen');
        wp_register_style('wpecus_css_admin',plugins_url(WTG_WPECUS_FOLDERNAME . '/wtg-core/wp/css/admin.css'), __FILE__);
        wp_register_style('wpecus_css_global',plugins_url(WTG_WPECUS_FOLDERNAME . '/wtg-core/wp/css/global.css'), __FILE__);          
    }

    function wpecus_admin_styles_callback() {

        wp_enqueue_style('wpecus_css_notification');
        wp_enqueue_style('wpecus_css_admin');
        wp_enqueue_style('wpecus_css_global');               
    }

    // print admin only styles (must be preregistered)
    add_action('admin_print_styles','wpecus_admin_styles_callback');
    add_action('init','wpecus_register_admin_styles');
}

// do not make this an else, this is to allow the admin override to be used AND apply public specific lines
if($side == 'public'){
    
}
?>
