<?php
/** 
 * Function file for WP e-Customers plugin 
 * 
 * @link by WebTechGlobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 * 
 * @since 0.0.1
 */
 
 
/*   Column Array Example Returned From "mysql_query("SHOW COLUMNS FROM..."
        
          array(6) {
            [0]=>
            string(5) "rowid"
            [1]=>
            string(7) "int(11)"
            [2]=>
            string(2) "NO"
            [3]=>
            string(3) "PRI"
            [4]=>
            NULL
            [5]=>
            string(14) "auto_increment"
          }
                  
    +------------+----------+------+-----+---------+----------------+
    | Field      | Type     | Null | Key | Default | Extra          |
    +------------+----------+------+-----+---------+----------------+
    | Id         | int(11)  | NO   | PRI | NULL    | auto_increment |
    | Name       | char(35) | NO   |     |         |                |
    | Country    | char(3)  | NO   | UNI |         |                |
    | District   | char(20) | YES  | MUL |         |                |
    | Population | int(11)  | NO   |     | 0       |                |
    +------------+----------+------+-----+---------+----------------+            
*/
   
global $wpdb;   
$wpecus_tables_array =  array();
##################################################################################
#                               wpecuslog                                        #
##################################################################################        
$wpecus_tables_array['tables']['wpecuslog']['name'] = $wpdb->prefix . 'wpecuslog';
$wpecus_tables_array['tables']['wpecuslog']['required'] = false;// required for all installations or not (boolean)
$wpecus_tables_array['tables']['wpecuslog']['usercreated'] = false;// if the table is created as a result of user actions rather than core installation put true
$wpecus_tables_array['tables']['wpecuslog']['version'] = '0.0.1';// used to force updates based on version alone rather than individual differences
$wpecus_tables_array['tables']['wpecuslog']['primarykey'] = 'row_id';
$wpecus_tables_array['tables']['wpecuslog']['uniquekey'] = 'row_id';
// wpecuslog - row_id
$wpecus_tables_array['tables']['wpecuslog']['columns']['row_id']['type'] = 'bigint(20)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['row_id']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['row_id']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['row_id']['default'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['row_id']['extra'] = 'AUTO_INCREMENT';
// wpecuslog - outcome
$wpecus_tables_array['tables']['wpecuslog']['columns']['outcome']['type'] = 'tinyint(1)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['outcome']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['outcome']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['outcome']['default'] = '1';
$wpecus_tables_array['tables']['wpecuslog']['columns']['outcome']['extra'] = '';
// wpecuslog - timestamp
$wpecus_tables_array['tables']['wpecuslog']['columns']['timestamp']['type'] = 'timestamp';
$wpecus_tables_array['tables']['wpecuslog']['columns']['timestamp']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['timestamp']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['timestamp']['default'] = 'CURRENT_TIMESTAMP';
$wpecus_tables_array['tables']['wpecuslog']['columns']['timestamp']['extra'] = '';
// wpecuslog - line
$wpecus_tables_array['tables']['wpecuslog']['columns']['line']['type'] = 'int(11)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['line']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['line']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['line']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['line']['extra'] = '';
// wpecuslog - file
$wpecus_tables_array['tables']['wpecuslog']['columns']['file']['type'] = 'varchar(250)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['file']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['file']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['file']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['file']['extra'] = '';
// wpecuslog - function
$wpecus_tables_array['tables']['wpecuslog']['columns']['function']['type'] = 'varchar(250)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['function']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['function']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['function']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['function']['extra'] = '';
// wpecuslog - sqlresult
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlresult']['type'] = 'blob';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlresult']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlresult']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlresult']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlresult']['extra'] = '';
// wpecuslog - sqlquery
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlquery']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlquery']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlquery']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlquery']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlquery']['extra'] = '';
// wpecuslog - sqlerror
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlerror']['type'] = 'mediumtext';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlerror']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlerror']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlerror']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['sqlerror']['extra'] = '';
// wpecuslog - wordpresserror
$wpecus_tables_array['tables']['wpecuslog']['columns']['wordpresserror']['type'] = 'mediumtext';
$wpecus_tables_array['tables']['wpecuslog']['columns']['wordpresserror']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['wordpresserror']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['wordpresserror']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['wordpresserror']['extra'] = '';
// wpecuslog - screenshoturl
$wpecus_tables_array['tables']['wpecuslog']['columns']['screenshoturl']['type'] = 'varchar(500)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['screenshoturl']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['screenshoturl']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['screenshoturl']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['screenshoturl']['extra'] = '';
// wpecuslog - userscomment
$wpecus_tables_array['tables']['wpecuslog']['columns']['userscomment']['type'] = 'mediumtext';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userscomment']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userscomment']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userscomment']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userscomment']['extra'] = '';
// wpecuslog - page
$wpecus_tables_array['tables']['wpecuslog']['columns']['page']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['page']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['page']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['page']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['page']['extra'] = '';
// wpecuslog - version
$wpecus_tables_array['tables']['wpecuslog']['columns']['version']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['version']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['version']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['version']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['version']['extra'] = '';
// wpecuslog - panelid
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelid']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelid']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelid']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelid']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelid']['extra'] = '';
// wpecuslog - panelname
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelname']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelname']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelname']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelname']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['panelname']['extra'] = '';
// wpecuslog - tabscreenid
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenid']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenid']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenid']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenid']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenid']['extra'] = '';
// wpecuslog - tabscreenname
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenname']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenname']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenname']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenname']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['tabscreenname']['extra'] = '';
// wpecuslog - dump
$wpecus_tables_array['tables']['wpecuslog']['columns']['dump']['type'] = 'longblob';
$wpecus_tables_array['tables']['wpecuslog']['columns']['dump']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['dump']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['dump']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['dump']['extra'] = '';
// wpecuslog - ipaddress
$wpecus_tables_array['tables']['wpecuslog']['columns']['ipaddress']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['ipaddress']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['ipaddress']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['ipaddress']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['ipaddress']['extra'] = '';
// wpecuslog - userid
$wpecus_tables_array['tables']['wpecuslog']['columns']['userid']['type'] = 'int(11)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userid']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userid']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userid']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['userid']['extra'] = '';
// wpecuslog - comment
$wpecus_tables_array['tables']['wpecuslog']['columns']['comment']['type'] = 'mediumtext';
$wpecus_tables_array['tables']['wpecuslog']['columns']['comment']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['comment']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['comment']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['comment']['extra'] = '';
// wpecuslog - type
$wpecus_tables_array['tables']['wpecuslog']['columns']['type']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['type']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['type']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['type']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['type']['extra'] = '';
// wpecuslog - category
$wpecus_tables_array['tables']['wpecuslog']['columns']['category']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['category']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['category']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['category']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['category']['extra'] = '';
// wpecuslog - action
$wpecus_tables_array['tables']['wpecuslog']['columns']['action']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['action']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['action']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['action']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['action']['extra'] = '';
// wpecuslog - priority
$wpecus_tables_array['tables']['wpecuslog']['columns']['priority']['type'] = 'varchar(45)';
$wpecus_tables_array['tables']['wpecuslog']['columns']['priority']['null'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['priority']['key'] = '';
$wpecus_tables_array['tables']['wpecuslog']['columns']['priority']['default'] = 'NULL';
$wpecus_tables_array['tables']['wpecuslog']['columns']['priority']['extra'] = '';
##################################################################################
#                                wpecusownloads                                  #
##################################################################################        
$wpecus_tables_array['tables']['wpecusdownloads']['name'] = $wpdb->prefix . 'wpecusdownloads';
$wpecus_tables_array['tables']['wpecusdownloads']['required'] = true;
$wpecus_tables_array['tables']['wpecusdownloads']['usercreated'] = false;
$wpecus_tables_array['tables']['wpecusdownloads']['version'] = '0.0.1';
$wpecus_tables_array['tables']['wpecusdownloads']['primarykey'] = 'row_id';
$wpecus_tables_array['tables']['wpecusdownloads']['uniquekey'] = 'row_id';
// wpecusdownloads - row_id
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['row_id']['type'] = 'bigint(20)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['row_id']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['row_id']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['row_id']['default'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['row_id']['extra'] = 'AUTO_INCREMENT';
// wpecusdownloads - user_id
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['user_id']['type'] = 'bigint(20)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['user_id']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['user_id']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['user_id']['default'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['user_id']['extra'] = '';
// wpecusdownloads - download_id
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['download_id']['type'] = 'bigint(20)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['download_id']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['download_id']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['download_id']['default'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['download_id']['extra'] = '';
// wpecusdownloads - stakeholder
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['stakeholder']['type'] = 'tinyint(1)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['stakeholder']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['stakeholder']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['stakeholder']['default'] = false;
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['stakeholder']['extra'] = '';
// wpecusdownloads - paidpermission
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['paidpermission']['type'] = 'tinyint(1)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['paidpermission']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['paidpermission']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['paidpermission']['default'] = false;
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['paidpermission']['extra'] = '';
// wpecusdownloads - freepermission
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['freepermission']['type'] = 'tinyint(1)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['freepermission']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['freepermission']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['freepermission']['default'] = true;
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['freepermission']['extra'] = '';
// wpecusdownloads - subscribed
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['subscribed']['type'] = 'tinyint(1)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['subscribed']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['subscribed']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['subscribed']['default'] = false;
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['subscribed']['extra'] = '';
// wpecusdownloads - downloaded
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['downloaded']['type'] = 'bigint(20)';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['downloaded']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['downloaded']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['downloaded']['default'] = false;
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['downloaded']['extra'] = '';        
// wpecusdownloads - timestamp
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['timestamp']['type'] = 'timestamp';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['timestamp']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['timestamp']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['timestamp']['default'] = 'CURRENT_TIMESTAMP';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['timestamp']['extra'] = '';        
// wpecusdownloads - eventdate
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['eventdate']['type'] = 'datetime';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['eventdate']['null'] = 'NOT NULL';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['eventdate']['key'] = '';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['eventdate']['default'] = '0000-00-00 00:00:00';
$wpecus_tables_array['tables']['wpecusdownloads']['columns']['eventdate']['extra'] = ''; 
?>